// pageage/safetyManagement/securityCheckGR/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userId:"",
        projectId:"",
        projectData:{},
        initData: {},
        show:false,
        list:[],
        listData:[],
        pageNum:1,
        pageSize:10,
        lastDataSize:10,
    },

    getInfo(e){
        let {deployId,procInsId,taskId,taskName,procDefKey,startDeptName,startUserName,procDefName,businessKeyName,finishTime} = e.currentTarget.dataset.set
        if(!finishTime){
          finishTime="";
        }
        //根据不同业务跳转不同表单
        if(procDefKey=="flow_xmglzdl_qjspb"){
           wx.redirectTo({
            url: `../detailLeaveTask/index?deployId=${deployId}&procInsId=${procInsId}&nickName=${startUserName}&deptName=${startDeptName}&procDefName=${procDefName}&taskId=${taskId}&taskName=${taskName}&projectName=${businessKeyName}&finishTime=${finishTime}&ret=finished`,
           })
        }else{
          wx.redirectTo({
            url: `../detailTask/index?deployId=${deployId}&procInsId=${procInsId}&nickName=${startUserName}&deptName=${startDeptName}&procDefName=${procDefName}&taskId=${taskId}&taskName=${taskName}&projectName=${businessKeyName}&finishTime=${finishTime}&ret=finished`,
          })
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
     //获取缓存数据
      wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            userId:res.data.userId,
            projectId:app.globalData.projectId,
            initData:{text:app.globalData.projectName,id:app.globalData.projectId}
          })  
          this.getListData(res.data.userId);
        }
      })
    },

  /**
    * 查询项目举牌验收数据
    */
   getListData(userId) {
    //进入这里说明数据加载完毕
    if(this.data.lastDataSize<this.data.pageSize){
      //app.toast("已经到底了，暂无可继续加载数据!")
      return;
    } 
    var that = this;
    //businessKey注解掉可以跨项目审批
    let param = {
       "nowUser":userId
    }
    param.pageNum=that.data.pageNum;
    param.pageSize=that.data.pageSize;
    wx.request({
      url: app.globalData.reqUrl + '/wechat/flowTask/myFinishedFlowTaskList',
      data:param,
      method: "get",
      success: function (res) {
        res = res.data;
        if(res.code=="200"){
          //这里处理this.data.lastDataSize=this.data.pageSize
          if(that.data.list.length>0 && that.data.list[0].taskId==res.rows[0].taskId){
            that.setData({
              lastDataSize:0,
            })
          }else{
            that.setData({
              pageNum:that.data.pageNum+1,
              lastDataSize:res.rows.length,
              list:res.rows,
              listData:that.data.listData.concat(res.rows)
            })
          }
        }else{
          app.toast(res.msg);
        }
      }
    });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    returnToPage: function () {
      /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
        wx.redirectTo({
          url: '../await/index',
        })
    },

    onScrollToLower(){
      console.log("滚动条到底了，开始加载新数据");
      this.getListData(this.data.userId);
    },

      //项目切换 返回值
  onProjectSelect(e){
    let projectId = e.detail.id;
    let projectName = e.detail.text;
    app.globalData.projectId = projectId;
    app.globalData.projectName = projectName;  
    this.onLoad();
  },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})